LinuxQuestions.org
Go Job Hunting at the LQ Job Marketplace
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
 
Search this Thread
Old 03-23-2013, 04:09 PM   #1
keithostertag
Member
 
Registered: Jul 2011
Location: Harrisburg, PA
Posts: 109

Rep: Reputation: Disabled
Normal user can't access Iceweasel after system upgrade. Debian Wheezy.


Running Debian Wheezy. Last night I did a apt-get dist-upgrade, and now I can't invoke Iceweasel with my normal user login. If I logon as root I can then run iceweasel.

Since I have Iceweasel sync'd (to save my bookmarks et all), I thought I would just reinstall, but this happens:
Code:
# apt-get install --reinstall iceweasel
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Reinstallation of iceweasel is not possible, it cannot be downloaded.
0 upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Hmmm. If I then try to purge it I get this:

Code:
# apt-get purge iceweasel
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following extra packages will be installed:
  iceape iceape-browser iceape-chatzilla icedove
Suggested packages:
  xul-ext-dom-inspector
The following packages will be REMOVED:
  iceweasel*
The following NEW packages will be installed:
  iceape iceape-browser iceape-chatzilla icedove
0 upgraded, 4 newly installed, 1 to remove and 4 not upgraded.
Need to get 39.4 MB of archives.
After this operation, 72.5 MB of additional disk space will be used.
Do you want to continue [Y/n]?
That's wierd, I _don't_ want iceape. But then I haven't figure out how to tell apt not to download iceape (tried using --no-install-recommends).

I guess I must have some lingering problems with my system. In looking around I notice that on my laptop I was using both xulrunner-7.0 and xulrunner-19.0... don't know why, and I am not familiar with xulrunner. I purged xulrunner-7.0, but the system won't allow me to purge xulrunner-19.0 without _also_ purging iceweasel _and_ installing iceape. I did install xulrunner-10.0, because that's what runs on my desktop machine and I thought perhaps it would allow me to subsequently purge xulrunner-19.0 - NOT.

I noticed on my desktop I got this:
Code:
#ls -ahl /usr/lib/iceweasel/firefox-bin
lrwxrwxrwx 1 root root 32 Jan 8 15:52 /usr/lib/iceweasel/firefox-bin -> .. /xulrunner-10.0/xulrunner-stub
but on my laptop I got this:

Code:
root@t520:~# ls -ahl /usr/lib/iceweasel/firefox-bin
lrwxrwxrwx 1 root root 9 Mar  8 18:01 /usr/lib/iceweasel/firefox-bin -> iceweasel
So then I started attempting to create new links and change links and ... screwed up several times. Now I fear things are pretty messy.

So I am confused, and maybe someone can suggest how to get my laptop back to working with Iceweasel properly. Is there a way I can purge iceweasel without installing iceape? Then reinstall iceweasel? Will this fix the stupid changes/mistakes I made to xulrunner links?

Thanks,
Keith Ostertag
 
Old 03-23-2013, 05:18 PM   #2
ukiuki
Senior Member
 
Registered: May 2010
Location: Planet Earth
Distribution: Debian
Posts: 1,030

Rep: Reputation: 377Reputation: 377Reputation: 377Reputation: 377
You probably have create a apt.conf file at /etc/apt and tell apt that you don't want suggested packages with:
Code:
APT::Install-suggests "false";
That might work.

Regards
 
Old 03-23-2013, 05:55 PM   #3
keithostertag
Member
 
Registered: Jul 2011
Location: Harrisburg, PA
Posts: 109

Original Poster
Rep: Reputation: Disabled
Hi ukiuki-

Thanks for the suggestion. I created apt.conf with that statement and put it in both /etc/apt/ and /etc/apt/apt.conf.d/

Unfortunately, I get the same results, with no change.

Keith
 
Old 03-23-2013, 06:01 PM   #4
keithostertag
Member
 
Registered: Jul 2011
Location: Harrisburg, PA
Posts: 109

Original Poster
Rep: Reputation: Disabled
It's strange- I don't remember apt ever insisting on installing something as a prerequisite to purging something else... as though the system is saying you _must_ install one or the other of these!
 
Old 03-24-2013, 06:36 AM   #5
ukiuki
Senior Member
 
Registered: May 2010
Location: Planet Earth
Distribution: Debian
Posts: 1,030

Rep: Reputation: 377Reputation: 377Reputation: 377Reputation: 377
Add also in apt.conf this:
Code:
APT::Install-Recommends "false";
So no suggest or recommended packages will be installed. If that works to get Iceweasel going, afterwards comment the recommends line in apt.conf .

Regards
 
Old 03-24-2013, 10:24 AM   #6
keithostertag
Member
 
Registered: Jul 2011
Location: Harrisburg, PA
Posts: 109

Original Poster
Rep: Reputation: Disabled
Hi again Ukiuki-

I added the second line as well, and still no change. I get the exact same response message as before.

Thanks,
Keith
 
Old 03-24-2013, 01:44 PM   #7
keithostertag
Member
 
Registered: Jul 2011
Location: Harrisburg, PA
Posts: 109

Original Poster
Rep: Reputation: Disabled
Solved

OK, I finally figured it out.

Turns out that I had a few addons to iceweasel that were preventing apt from removing iceweasel. I found out by doing:

Code:
#dpkg -P iceweasel
which gave me the list of addons which required iceweasel. Apt did not reveal those dependencies.

I first removed the addons, then I was able to purge iceweasel.

Now I've reinstalled iceweasel, and all is well :-)

Keith Ostertag
 
Old 03-24-2013, 02:59 PM   #8
ukiuki
Senior Member
 
Registered: May 2010
Location: Planet Earth
Distribution: Debian
Posts: 1,030

Rep: Reputation: 377Reputation: 377Reputation: 377Reputation: 377
Glad to help! Nice finding by the way.

Regards
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
LXer: Iceweasel 10.0.09 ESR update for Debian Wheezy LXer Syndicated Linux News 0 10-17-2012 11:31 PM
[SOLVED] Debian wheezy glitches while playback after upgrade LeetShiva Linux - Software 8 10-01-2012 01:49 PM
[SOLVED] Debian wheezy: apt-get upgrade does not upgrade llvm to 2.8 odin_ago Linux - Software 2 11-12-2011 05:01 PM
Command mtr access as Normal System User turiyain Linux - Server 4 10-27-2010 01:34 AM


All times are GMT -5. The time now is 04:25 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration